Subject: Initialising variables in objects
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 27 Jul 93 15:45:16 BST

Why is it that sometimes you can write something like:

object.field:=variable

and it will work fine, but if you try:

object.field:=function()

then EC will stop in its tracks and present you with an
'illegal reference' or some such error message.

However, if you assign the value to a variable first,
everything is ok:

fred:=function()
object.field:=fred

I know that I have already got a way of getting round
this, but it's not very elegant, is it?

Perhaps I am missing something (like my brain :-)...

Dave.